Page MenuHomeFreeBSD

CONTRIBUTING.md: add author identity info
ClosedPublic

Authored by emaste on Sep 19 2023, 2:15 PM.
Tags
None
Referenced Files
F81334512: D41918.id.diff
Sun, Apr 14, 5:33 PM
Unknown Object (File)
Mon, Apr 8, 2:05 PM
Unknown Object (File)
Mon, Mar 18, 4:39 PM
Unknown Object (File)
Mon, Mar 18, 4:39 PM
Unknown Object (File)
Mon, Mar 18, 4:39 PM
Unknown Object (File)
Mon, Mar 18, 4:39 PM
Unknown Object (File)
Sat, Mar 16, 3:08 PM
Unknown Object (File)
Feb 24 2024, 2:06 AM
Subscribers
None

Details

Summary

We do not want @users.noreply.github.com addresses.

Diff Detail

Repository
rG FreeBSD src repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

emaste created this revision.

So I like this wording for non-trivial changes. I fear it will cause too much friction for the typo report or wording tweak.

CONTRIBUTING.md
123

Yea. To get author we need this.

But for trivial changes, I'd be good with some variation of submitted by, noticed by or whatever. In that case you have just a name, or gtt66 on irc or github user HangChad2000.

This revision is now accepted and ready to land.Sep 19 2023, 3:11 PM
CONTRIBUTING.md
123

Fair enough - I was thinking of this specifically for pull requests. I could move it up to the pull request section and make it ### Author Name and Email perhaps

Move Author Name and Email section to a subsection of pull requests

This revision now requires review to proceed.Sep 19 2023, 7:14 PM
This revision is now accepted and ready to land.Sep 20 2023, 8:55 PM
This revision was automatically updated to reflect the committed changes.